#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libdbi
Version		:	0.9.0
Release		:	14.8.0.0%{?dist}
Summary		:	Database Independent Abstraction Layer for C

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	http://libdbi.sourceforge.net/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	gcc-c++
BuildRequires	:	make

#-----------------------------------------------------------------------------
%description
libdbi implements a database-independent abstraction
layer in C, similar to the DBI/DBD layer in Perl.
Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple
simultaneous database connections by using this framework.
	
	
The libdbi package contains just the libdbi framework.
To make use of libdbi you will also need one or more
plugins from libdbi-drivers, which contains the plugins
needed to interface to specific database servers.

#-----------------------------------------------------------------------------
%files
%defattr(-, root,root,-)
%doc AUTHORS ChangeLog README NEWS
%license COPYING
%{_libdir}/libdbi.so.*
	
#=============================================================================
%package		devel

Summary		:	Development files for '%{name}'

#-----------------------------------------------------------------------------
Requires	:       %{name}		= %{version}-%{release}
Requires	:       %{name}-doc	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The libdbi-devel package contains the header files and
documentation needed to develop applications with libdbi.
	
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc TODO
%{_includedir}/dbi/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/dbi.pc

#=============================================================================
%package		doc

Summary		:	Documentation files for '%{name}'

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
The libdbi-doc package contains guides for development
of applications with libdbi.
	
#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%license COPYING
%doc doc/programmers-guide.pdf
%doc doc/programmers-guide/
%doc doc/driver-guide.pdf
%doc doc/driver-guide/
	
 

#=============================================================================
%prep
%setup -q


#-----------------------------------------------------------------------------
#building application
%build

autoconf -v -i -f

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

 
	
# we will include generated documentation in -devel subpackage,
# so we need to remove it from builddir, since it would be included
# automatically otherwise
%{__rm} -rf %{buildroot}%{_docdir}/%{name}-%{version}

#To remove libtool library and static library
find 								\
	%{buildroot}%{_libdir}					\
	\(							\
		 -name \*.la					\
		 -o						\
		 -name \*.a					\
	 \)							\
	-delete

#-----------------------------------------------------------------------------
%changelog
